import 'base_logic.dart';

abstract class BaseListLogic extends BaseLogic {
  Future<void> filter() async {
    notifyScreen(false);
    await load();
    notifyScreen();
  }

  Future<void> load() async {}

  @override
  Future<void> init() async {
    await load();
    notifyScreen();
  }
}
