## 0.94.1

10 August 2022

* Consolidate changes

## 0.94.0

25 July 2022

* Styling updates to controls

## 0.93.2

26 Jul 2022

- **fix**: Change flexible columns to place children in a row as more space becomes available
- **fix**: Prevent flexible column from getting stuck in a loop

## 0.93.1

9 Dec 2021

- **chore**: flutter upgrade lint fixes

## 0.93.0

3 Dec 2021

- **feat**: add default implementation for `BaseListLogic.filter` which calls `load`, with loading indicators
- **feat**: show loading indicator while saving in `BaseEntityLogic`

## 0.92.0

30 Nov 2021

- New font and button styles

## 0.91.0

22 November 2021

- **fix**: Show `prefix` and `suffix` widgets in `FlickerNumberInput`
- **feat**: Add optional `prefix` and `suffix` widgets to `DecoratorUtils.uppercaseLabelAndHintDecoration`

## 0.90.0

16 November 2021

- **fix**: Ensure date in `FlickerDateInput` is displayed in local time (convert initialDateValue)

## 0.89.0

16 November 2021

- **feat**: Allow navigation with multiple parameters (query string)

## 0.88.2

15 November 2021

- **chore**: Re-order changelog (order by version, descending)

## 0.88.0

3 November 2021

- Change label and hints to uppercase by default
- Add `DecoratorUtils`

### breaking changes

The default casing for `labelText` and `hintText` changed:

- `FlickerDateInput`, `FlickerNumberInput` and `RequiredFlickerTextInput` now have UPPERCASE label and hints.
- `FlickerDropDown` now has UPPERCASE hints

You can get the old behavior by setting (the new) `uppercaseLabelAndHint` to `false` for these controls

## 0.87.0

25 October 2021

- Removal of some customer theming

## 0.86.0

11 September 2021

- Flexible menu item features

## 0.80.0

13 August 2021

- Readonly styling

## 0.74.0

12 August 2021

- Added support for custom hit text for drop downs

## 0.72.0

30 June 2021

- Updated showAlertDialog to have a widget as content

## 0.71.0

30 June 2021

- Added BaseLogic.showAlertDialog

## 0.70.0

30 June 2021

- Added onFieldSubmitted function to FlickerTextInput

## 0.67.0

22 June 2021

- Better read only styling and readonly support for drop downs

## 0.68.0

21 June 2021

- Grid totals / footer support

## 0.67.0

7 June 2021

- Better read only styling and readonly support for drop downs

## 0.64.0

7 June 2021

- Grid footer

## 0.59.0

19 May 2021

- Column header text wrapping

## 0.55.0

19 May 2021

- Outlined button styling

## 0.52.0

19 May 2021

- Rename to Flicker and add Null Safety

## 0.50.0

19 May 2021

- Default waiting, error and unknown route screens

## 0.49.0

10 May 2021

- Read = false during page use

## 0.35.0

5 May 2021

- App initialisation Completer

## 0.31.0

2 May 2021

- Fix decimal point numeric control issue

## 0.26.0

2 May 2021

- Better date control

## 0.14.0

28 April 2021

- Hint input color

## 0.12.0

26 April 2021

- Removing default padding from input controls

## 0.9.0

26 April 2021

- Read only label tweaks

## 0.6.0

20 April 2021

- Upgrade intl

## 0.4.0

20 April 2021

- Color options on buttons

## 0.3.0

17 April 2021

- Added prefix on input controls

## 0.1.0

17 April 2021

- Added suffix and readonly on input controls

## 0.0.46

15 April 2021

- 19 March 2021 to 15 April 2021
- versions `0.0.2` to `0.0.46`
- Routing, app state, menus, base screens...
- Security
- Wait and error screens are now configurable via FlickerConfiguration
- getRoutesForCurrentUser null fix
- updated documentation
- platform support
- Team demo
- Added input cursor color
- Added input controls
- Removed required label on text field
- Different take on numeric input control
- Riverpod update
- Subtitle color
- Basic date control
- intl version conflicts
